Cambrionix connect
Developers
Hardware API

Virtual Hubs

Create, delete, update and list Virtual Hubs.

Create Virtual Hub

POST

/hardware/v1/virtual-hub

Create a new virtual hub for an organization.

Requires a bearer access token for this API with the Organization.VirtualHubs.Write permission. See Authentication.

Request body

object
descriptionstringrequired
metadatamap of any
namestringrequired
portsobject[]required

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/virtual-hub" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "name": "string",
  "ports": [
    {
      "hub": {
        "id": "string"
      },
      "port": {
        "id": 0
      }
    }
  ]
}'

Get Virtual Hubs

GET

/hardware/v1/virtual-hubs

Get all Virtual Hubs for a given Organization.

Requires a bearer access token for this API with the Organization.VirtualHubs.Read permission. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationVirtualHub[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/virtual-hubs" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Virtual Hub

GET

/hardware/v1/virtual-hubs/{virtualHubId}

Get a Virtual Hub.

Requires a bearer access token for this API with the Organization.VirtualHubs.Read permission. See Authentication.

Parameters

virtualHubIdstringpathrequired

Path parameter

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/virtual-hubs/{virtualHubId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update Virtual Hub

PATCH

/hardware/v1/virtual-hubs/{virtualHubId}

Update a Virtual Hub.

Requires a bearer access token for this API with the Organization.VirtualHubs.Write permission. See Authentication.

Parameters

virtualHubIdstringpathrequired

Path parameter

Request body

object
descriptionstring
metadatamap of any
namestring
portsobject[]

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/virtual-hubs/{virtualHubId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "name": "string",
  "ports": [
    {
      "hub": {
        "id": "string"
      },
      "port": {
        "id": 0
      }
    }
  ]
}'

Delete Virtual Hub

DELETE

/hardware/v1/virtual-hubs/{virtualHubId}

Delete a Virtual Hub.

Requires a bearer access token for this API with the Organization.VirtualHubs.Delete permission. See Authentication.

Parameters

virtualHubIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/virtual-hubs/{virtualHubId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"